/*prevent mobile refresh*/
html,
body {
    overscroll-behavior-y: contain;
}

html {
  font-family: "MS ui gothic";
  height: 100%;
  cursor: var(--lilith-cursor-normal);
}

footer {
  overflow: clip;  
}

.window.active {
  background: var(--lilith-outer-color);
}
.window.active .title {
  background: var(--lilith-inner-color);
}

.window
{
  border: 2px solid var(--lilith-border-color);
  background: var(--lilith-inactive-color);
  padding: 4px;
  padding-bottom: 0;
  /*padding-bottom: 16px;*/
  box-shadow: 4px 4px rgba(80,20,255,0.2);
  position: absolute;
  width: 640px;
  height: 240px;
  display: flex;
  flex-direction: column;
  z-index: 10;
}

/*.window::after*/

.window .title
{
  border: 2px solid var(--lilith-border-color);
  background: var(--lilith-inactive-color);
  color: var(--lilith-window-text-color);
  image-rendering: pixelated;
  text-align: right;
  /*font-family: var(--lilith-tiny-text);
  font-size: 1em;*/
  font-family: var(--lilith-small-text);
  font-size: 20px;
  letter-spacing: 1px;
  /*font-size: 7px;*/
  height: 26px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.window .content {
  border: var(--lilith-window-border-size) solid var(--lilith-border-color);
  background: var(--lilith-window-text-back);
  color: var(--lilith-window-text-color);
  font-family: var(--lilith-normal-text);
  font-size: 24px;
  /*font-family: "MS ui gothic";*/
  image-rendering: pixelated;
  /*font-size: 17px;*/
  margin-top: 4px;
  /*padding: 4px;*/
  flex-grow: 1;
  min-height: 0;
  /*overflow-y: auto;
  scrollbar-color: var(--lilith-scrollbar-inner-color) var(--lilith-scrollbar-outer-color);
  scrollbar-width: thin;*/
}

.window-name {
  display: flex;
  gap: 6px;
  align-items: center;
  /*text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;*/
  padding: 4px;
  height: 18px;
  overflow: hidden;
}

.window-title {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  height: 40px;
  line-height: 40px;
}

.window-icon {
  background: var(--lilith-window-text-color);
  width: 18px;
  height: 18px;
  flex-shrink: 0;
}

.window-button {
  display: flex;
  justify-content: space-between;
  height: 20px;
  gap: 4px;
  margin: 4px;
}

.window-button > img {
  cursor: var(--lilith-cursor-click);
  /*filter:brightness(50%);*/
  opacity: 0.4;
}

.active .window-button > img {
  /*filter:none;*/
  opacity: 1;
}

.resize {
  /*-ms-touch-action: none;
  touch-action: none;*/
  user-select: none;
  background-color: transparent !important;
}

.handle-bar {
  cursor: var(--lilith-cursor-grab);
  user-select: none;
}

.resize-horizontal {
  position: absolute;
  background-color: blue;
  right: calc(0px - var(--lilith-window-border-size));
  top: 0;
  width: var(--lilith-window-border-resize-width);
  height: calc(100% - var(--lilith-window-border-resize-width) + var(--lilith-window-border-size));
  cursor: var(--lilith-cursor-horizontal);
}

.resize-vertical {
  position: absolute;
  background-color: red;
  left: 0;
  bottom: calc(0px - var(--lilith-window-border-size));
  width: calc(100% - var(--lilith-window-border-resize-width) + var(--lilith-window-border-size));
  height: var(--lilith-window-border-resize-width);
  cursor: var(--lilith-cursor-vertical);
}

.resize-diagonal {
  position: absolute;
  background-color: green;
  right: calc(0px - var(--lilith-window-border-size));
  bottom: calc(0px - var(--lilith-window-border-size));
  width: var(--lilith-window-border-resize-width);
  height: var(--lilith-window-border-resize-width);
  cursor: var(--lilith-cursor-diagonal1);
}

.bottom {
  display: flex;
  align-items: end;
  min-height: 14px;
}

.bottom img {
  pointer-events: none;
}

footer {
  /*position: fixed;
  left: 0;
  bottom: 0;*/
  width: 100%;
  height: 45px;
  background-color: var(--lilith-task-color);
  /*padding: 4px;*/
  border-top: 2px solid #FDFDFD;
  display: inline;
}

#taskbar {
  display: flex;
  gap: 4px;
  align-items: center;
  padding: 7px;
  padding-left: 8px;
}

#start {
  width: 130px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-family: var(--lilith-alt-text);
  font-size: 24px;
  flex-shrink:0;
}

#start-menu {
  position:absolute;
  width:212px;
  height:240px;
  bottom:0;
  left:0;
  background-color:var(--lilith-task-color);
  z-index:5000;
  display:none;
}

.start-menu-button {
  height: calc(40px - 2px * 2);
  border: 2px solid;
  border-color: whitesmoke var(--lilith-border-color) var(--lilith-border-color) whitesmoke;
  color: var(--lilith-border-color);
  /*font-family: var(--lilith-tiny-text);*/
  font-family: var(--lilith-small-text);
  font-size: 20px;
  text-align: center;
  vertical-align: middle;
  line-height: calc(40px - 2px * 2);
  cursor: var(--lilith-cursor-click);
}

.start-menu-button:hover {
  border-color: whitesmoke black black whitesmoke;
  color: whitesmoke;
  background: var(--lilith-border-color);
}

.taskbar-middle {
  /*flex-grow: 1;*/
  display: flex;
  align-items: center;
  align-content:flex-start;
  gap: 9px;
  flex-shrink:0;
}

#apps-area {
  display: flex;
  gap: 4px;
  flex-shrink:1;
  height: 30px;

  overflow-x: auto;
  overflow-y: clip;
  scrollbar-color: var(--lilith-scrollbar-inner-color) var(--lilith-scrollbar-outer-color);
  scrollbar-width: thin;
}

.app {
  user-select: none;
  color: var(--lilith-border-color);
  /*font-family: var(--lilith-tiny-text);*/
  font-family: var(--lilith-small-text);
  font-size: 20px;
  align-items: flex-end;
  display: flex;
  /*min-width: 192px;*/
  height: 22px;
  padding: 2px;
  padding-left: 8px;
  gap: 6px;
  border: 2px solid;
  border-color: whitesmoke var(--lilith-border-color) var(--lilith-border-color) whitesmoke;
  /*flex-grow: 1;
  flex-basis: 192px;
  max-width: 192px;
  flex-shrink: 1;*/
  width: 192px;
  flex: 1 1 auto;
  align-items: center;
  cursor: var(--lilith-cursor-click);
}

.app-icon {
  background: var(--lilith-window-text-color);
  width: 16px;
  height: 16px;
  flex-shrink: 0;
}

.app.active {
  border-color: var(--lilith-border-color) whitesmoke whitesmoke var(--lilith-border-color);
}

.app-title {
  transform: translate(0, -2px);
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.app-button {
  border: 2px solid;
  /*border-color: var(--lilith-border-color) whitesmoke whitesmoke var(--lilith-border-color);*/
  border-color: whitesmoke var(--lilith-border-color) var(--lilith-border-color) whitesmoke;
  padding: 2px;
}

.separator {
  border: 2px solid;
  /*border-color: var(--lilith-border-color) whitesmoke whitesmoke var(--lilith-border-color);*/
  border-color: whitesmoke var(--lilith-border-color) var(--lilith-border-color) whitesmoke;
  width: 1px;
  height: 28px;
  flex-shrink:0;
}

#date-area {
  margin-left: auto;
}

#date-container {
  /*width: 138px;*/
  padding-left: 10px;
  padding-right: 16px;
  height: calc(32px - 2px * 2);
  border: 2px solid;
  border-color: var(--lilith-border-color) whitesmoke whitesmoke var(--lilith-border-color);
  display:flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
}

#date-icon {
  align-self: center;
  width: 24px;
  height: 24px;
}

#date-time {
  color: var(--lilith-window-text-color);
  font-family: var(--lilith-normal-text);
  font-size: 24px;
  font-family: var(--lilith-alt2-text);
  font-size: 20px;
}

.file-item {
  display:flex; flex-direction: column;
  gap: 4px;
  color: var(--lilith-window-text-color);
  image-rendering: pixelated;
  text-align: center;
  /*font-family: var(--lilith-tiny-text);
  font-size: 1em;*/
  font-family: var(--lilith-small-text);
  font-size: 20px;
  align-items: center;
  width: 64px;
  height: 100px;
  cursor: var(--lilith-cursor-click);
}


/*@-moz-document url-prefix() {
  .mobile {
    zoom:1;
    width: 200%;
    height: 200%;
    transform: scale(0.5);
    transform-origin: top left;
  }
}*/

.mobile {
  /*zoom: 0.5;*/
  width: 200%;
  height: 200%;
  transform: scale(0.5);
  transform-origin: top left;
}

.full-page {
  position:absolute;
  width: 100vw;
  height: 100vh;
}

.mobile > .full-page {
  width: 200vw;
  height: 200vh;
}

}

:root {
  
  --lilith-window-border-size: 2px;
  --lilith-window-border-resize-width: 8px;
  

  --a-cursor-normal: url("https://file.toyhou.se/images/9571394_IVpI1DJlWueBlxg.gif?1550903960"),

  --lilith-cursor-grab: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_grab.png") 5 0, auto;
  --lilith-cursor-text: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_text.png") 7 0, auto;
  --lilith-cursor-horizontal: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_horizontal.png"), auto;
  --lilith-cursor-vertical: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_vertical.png"), auto;
  --lilith-cursor-diagonal1: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_diagonal1.png"), auto;
}

html {
 
}

:root {
  
  --lilith-window-border-size: 2px;
  --lilith-window-border-resize-width: 8px;

  --a-cursor-normal: url("https://file.toyhou.se/images/9571394_IVpI1DJlWueBlxg.gif?1550903960"), 
  --lilith-cursor-click: url("https://file.toyhou.se/images/9571394_IVpI1DJlWueBlxg.gif?1550903960"), auto;
  --lilith-cursor-grab: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_grab.png") 5 0, auto;
  --lilith-cursor-text: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_text.png") 7 0, auto;
  --lilith-cursor-horizontal: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_horizontal.png"), auto;
  --lilith-cursor-vertical: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_vertical.png"), auto;
  --lilith-cursor-diagonal1: url("https://lilithdev.neocities.org/shrine/vg/nso/sprites/cursor/cursor_diagonal1.png"), auto;
}

html {

}